<?php
namespace Teknisa\FIS\Controllers;

use Teknisa\FIS\Services\Fis09200ParametrosEmissaoGuiasService;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource\ParameterBag;


class Fis09200ParametrosEmissaoGuiasController extends \Teknisa\FIS\Controllers\TeknisaCrud{

    protected $dataSourceName;
    protected $parameterBag;
    protected $crudService;
    protected $dataSourceNameToSave  = false;
    protected $service;

    public function __construct($crudService, ParameterBag $parameterBag, Fis09200ParametrosEmissaoGuiasService $service) {
        $this->service = $service;
        parent::__construct($crudService, $parameterBag);
    }


    public function salvarBeneficiario(DTO\Request $request, DTO\Response $response) {
        try {
            $row = $request->getRow();
            $rows = $this->crudService->getRowsToSave($request,'parambenefimp');
            $this->service->salvarBeneficiario($rows[0]);
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), 500));
        }
    }
    
    public function salvarCertificado(DTO\Request $request, DTO\Response $response) {
        try {
            $rows = $this->crudService->getRowsToSave($request, 'paramtrans');
            $this->service->salvarCertificado($rows[0]);
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), 500));
        }
    }
}
