<?php
namespace Teknisa\FIS\Controllers;

use Teknisa\FIS\Services\Fis27100RelacionamentodeCodigodaReceitaService;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Request\Row;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\ParameterBag;


class Fis27100RelacionamentodeCodigodaReceitaController extends \Teknisa\FIS\Controllers\TeknisaCrud{

    protected $dataSourceName;
    protected $parameterBag;
    protected $crudService;
    protected $dataSourceNameToSave  = false;
    protected $service;

    public function __construct($crudService, ParameterBag $parameterBag, Fis27100RelacionamentodeCodigodaReceitaService $service) {
        $this->service = $service;
        parent::__construct($crudService, $parameterBag);
    }

    public function save(DTO\Request $request, DTO\Response $response) {
        try {
            $row = $request->getRow();
            var_dump($row);die;
            $this->service->save($row);
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), 500));
        }
    }
	
	public function update(DTO\Request $request, DTO\Response $response) {
        try {
            $row = $request->getRow();
            $this->service->update($row);
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), 500));
        }
    }
}
